Return to Snippet

Revision: 59554
at September 17, 2012 07:16 by symsec


Updated Code
# https://rvm.io 
hash curl 2>/dev/null || { echo >&2 "I require curl but it's not installed.  Aborting."; exit 1; }   

# get ruby version manager
curl -L https://get.rvm.io | bash -s stable --ruby

# compile-in external libraries with ruby
rvm pkg install openssl
rvm pkg install zlib

# RECOMPILE: if rvm installation already contains ruby versions
# $ rvm reinstall $(rvm list strings | tr "\n" ',')
# $ rvm all-gemsets do rvm gemset pristine

# install required (baseline) ruby version and recent releases
rvm install 1.8.7-latest 
rvm install 1.9.3-latest

# create a gemset and set it as default
rvm gemset create jsprocket
rvm use [email protected] --default


# Checks:
#-------
# ruby -v
# rvm gemset list
# rvm list

Revision: 59553
at September 17, 2012 05:49 by symsec


Initial Code
# https://rvm.io
hash curl 2>/dev/null || { echo >&2 "I require curl but it's not installed.  Aborting."; exit 1; }   

# get ruby version manager latest stable version (of rvm)
curl -L https://get.rvm.io | bash -s stable --ruby

# compile and install required / useful packages (external libraries)
# NOTE: use
# $ rvm reinstall $(rvm list strings | tr "\n" ',')
# and
# $ rvm all-gemsets do rvm gemset pristine
# if you already have rvm with compiled ruby versions
rvm pkg install openssl
rvm pkg install zlib

# install required ruby versions and patches (2) // MANUALLY TWEAK THIS IF NEEDED //
rvm install 1.8.7-latest && rvm install 1.9.3-latest

rvm gemset create jsprocket
rvm use [email protected] --default



rvm gemset list
rvm list
rvm use [email protected] --default

Initial URL


Initial Description
Use this snippet in Linux shell to install RVM and set it up for use with Sprockets.

Initial Title
Sprockets JavaScript dependency management tool using clean RVM

Initial Tags
javascript, js, Bash, script, linux

Initial Language
Bash